Skills
Create a new skill.
post /skills
Create a new skill.
Body Parameters
-
files: optional array of string or stringSkill files to upload (directory upload) or a single zip file.
-
array of stringSkill files to upload (directory upload) or a single zip file.
-
stringSkill zip file to upload.
-
Returns
-
Skill object { id, created_at, default_version, 4 more }-
id: stringUnique identifier for the skill.
-
created_at: numberUnix timestamp (seconds) for when the skill was created.
-
default_version: stringDefault version for the skill.
-
description: stringDescription of the skill.
-
latest_version: stringLatest version for the skill.
-
name: stringName of the skill.
-
object: "skill"The object type, which is
skill."skill"
-
Example
curl https://api.openai.com/v1/skills \
-X POST \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"id": "id",
"created_at": 0,
"default_version": "default_version",
"description": "description",
"latest_version": "latest_version",
"name": "name",
"object": "skill"
}
List all skills for the current project.
get /skills
List all skills for the current project.
Query Parameters
-
after: optional stringIdentifier for the last item from the previous pagination request
-
limit: optional numberNumber of items to retrieve
-
order: optional "asc" or "desc"Sort order of results by timestamp. Use
ascfor ascending order ordescfor descending order.-
"asc" -
"desc"
-
Returns
-
SkillList object { data, first_id, has_more, 2 more }-
data: array of SkillA list of items
-
id: stringUnique identifier for the skill.
-
created_at: numberUnix timestamp (seconds) for when the skill was created.
-
default_version: stringDefault version for the skill.
-
description: stringDescription of the skill.
-
latest_version: stringLatest version for the skill.
-
name: stringName of the skill.
-
object: "skill"The object type, which is
skill."skill"
-
-
first_id: stringThe ID of the first item in the list.
-
has_more: booleanWhether there are more items available.
-
last_id: stringThe ID of the last item in the list.
-
object: "list"The type of object returned, must be
list."list"
-
Example
curl https://api.openai.com/v1/skills \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"data": [
{
"id": "id",
"created_at": 0,
"default_version": "default_version",
"description": "description",
"latest_version": "latest_version",
"name": "name",
"object": "skill"
}
],
"first_id": "first_id",
"has_more": true,
"last_id": "last_id",
"object": "list"
}
Get a skill by its ID.
get /skills/{skill_id}
Get a skill by its ID.
Path Parameters
skill_id: string
Returns
-
Skill object { id, created_at, default_version, 4 more }-
id: stringUnique identifier for the skill.
-
created_at: numberUnix timestamp (seconds) for when the skill was created.
-
default_version: stringDefault version for the skill.
-
description: stringDescription of the skill.
-
latest_version: stringLatest version for the skill.
-
name: stringName of the skill.
-
object: "skill"The object type, which is
skill."skill"
-
Example
curl https://api.openai.com/v1/skills/$SKILL_ID \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"id": "id",
"created_at": 0,
"default_version": "default_version",
"description": "description",
"latest_version": "latest_version",
"name": "name",
"object": "skill"
}
Update the default version pointer for a skill.
post /skills/{skill_id}
Update the default version pointer for a skill.
Path Parameters
skill_id: string
Body Parameters
-
default_version: stringThe skill version number to set as default.
Returns
-
Skill object { id, created_at, default_version, 4 more }-
id: stringUnique identifier for the skill.
-
created_at: numberUnix timestamp (seconds) for when the skill was created.
-
default_version: stringDefault version for the skill.
-
description: stringDescription of the skill.
-
latest_version: stringLatest version for the skill.
-
name: stringName of the skill.
-
object: "skill"The object type, which is
skill."skill"
-
Example
curl https://api.openai.com/v1/skills/$SKILL_ID \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-d '{
"default_version": "default_version"
}'
Response
{
"id": "id",
"created_at": 0,
"default_version": "default_version",
"description": "description",
"latest_version": "latest_version",
"name": "name",
"object": "skill"
}
Delete a skill by its ID.
delete /skills/{skill_id}
Delete a skill by its ID.
Path Parameters
skill_id: string
Returns
-
DeletedSkill object { id, deleted, object }-
id: string -
deleted: boolean -
object: "skill.deleted""skill.deleted"
-
Example
curl https://api.openai.com/v1/skills/$SKILL_ID \
-X DELETE \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"id": "id",
"deleted": true,
"object": "skill.deleted"
}
Domain Types
Deleted Skill
-
DeletedSkill object { id, deleted, object }-
id: string -
deleted: boolean -
object: "skill.deleted""skill.deleted"
-
Skill
-
Skill object { id, created_at, default_version, 4 more }-
id: stringUnique identifier for the skill.
-
created_at: numberUnix timestamp (seconds) for when the skill was created.
-
default_version: stringDefault version for the skill.
-
description: stringDescription of the skill.
-
latest_version: stringLatest version for the skill.
-
name: stringName of the skill.
-
object: "skill"The object type, which is
skill."skill"
-
Skill List
-
SkillList object { data, first_id, has_more, 2 more }-
data: array of SkillA list of items
-
id: stringUnique identifier for the skill.
-
created_at: numberUnix timestamp (seconds) for when the skill was created.
-
default_version: stringDefault version for the skill.
-
description: stringDescription of the skill.
-
latest_version: stringLatest version for the skill.
-
name: stringName of the skill.
-
object: "skill"The object type, which is
skill."skill"
-
-
first_id: stringThe ID of the first item in the list.
-
has_more: booleanWhether there are more items available.
-
last_id: stringThe ID of the last item in the list.
-
object: "list"The type of object returned, must be
list."list"
-
Content
Download a skill zip bundle by its ID.
get /skills/{skill_id}/content
Download a skill zip bundle by its ID.
Path Parameters
skill_id: string
Example
curl https://api.openai.com/v1/skills/$SKILL_ID/content \
-H "Authorization: Bearer $OPENAI_API_KEY"
Versions
Create a new immutable skill version.
post /skills/{skill_id}/versions
Create a new immutable skill version.
Path Parameters
skill_id: string
Body Parameters
-
default: optional booleanWhether to set this version as the default.
-
files: optional array of string or stringSkill files to upload (directory upload) or a single zip file.
-
array of stringSkill files to upload (directory upload) or a single zip file.
-
stringSkill zip file to upload.
-
Returns
-
SkillVersion object { id, created_at, description, 4 more }-
id: stringUnique identifier for the skill version.
-
created_at: numberUnix timestamp (seconds) for when the version was created.
-
description: stringDescription of the skill version.
-
name: stringName of the skill version.
-
object: "skill.version"The object type, which is
skill.version."skill.version"
-
skill_id: stringIdentifier of the skill for this version.
-
version: stringVersion number for this skill.
-
Example
curl https://api.openai.com/v1/skills/$SKILL_ID/versions \
-X POST \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"id": "id",
"created_at": 0,
"description": "description",
"name": "name",
"object": "skill.version",
"skill_id": "skill_id",
"version": "version"
}
List skill versions for a skill.
get /skills/{skill_id}/versions
List skill versions for a skill.
Path Parameters
skill_id: string
Query Parameters
-
after: optional stringThe skill version ID to start after.
-
limit: optional numberNumber of versions to retrieve.
-
order: optional "asc" or "desc"Sort order of results by version number.
-
"asc" -
"desc"
-
Returns
-
SkillVersionList object { data, first_id, has_more, 2 more }-
data: array of SkillVersionA list of items
-
id: stringUnique identifier for the skill version.
-
created_at: numberUnix timestamp (seconds) for when the version was created.
-
description: stringDescription of the skill version.
-
name: stringName of the skill version.
-
object: "skill.version"The object type, which is
skill.version."skill.version"
-
skill_id: stringIdentifier of the skill for this version.
-
version: stringVersion number for this skill.
-
-
first_id: stringThe ID of the first item in the list.
-
has_more: booleanWhether there are more items available.
-
last_id: stringThe ID of the last item in the list.
-
object: "list"The type of object returned, must be
list."list"
-
Example
curl https://api.openai.com/v1/skills/$SKILL_ID/versions \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"data": [
{
"id": "id",
"created_at": 0,
"description": "description",
"name": "name",
"object": "skill.version",
"skill_id": "skill_id",
"version": "version"
}
],
"first_id": "first_id",
"has_more": true,
"last_id": "last_id",
"object": "list"
}
Get a specific skill version.
get /skills/{skill_id}/versions/{version}
Get a specific skill version.
Path Parameters
-
skill_id: string -
version: stringThe version number to retrieve.
Returns
-
SkillVersion object { id, created_at, description, 4 more }-
id: stringUnique identifier for the skill version.
-
created_at: numberUnix timestamp (seconds) for when the version was created.
-
description: stringDescription of the skill version.
-
name: stringName of the skill version.
-
object: "skill.version"The object type, which is
skill.version."skill.version"
-
skill_id: stringIdentifier of the skill for this version.
-
version: stringVersion number for this skill.
-
Example
curl https://api.openai.com/v1/skills/$SKILL_ID/versions/$VERSION \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"id": "id",
"created_at": 0,
"description": "description",
"name": "name",
"object": "skill.version",
"skill_id": "skill_id",
"version": "version"
}
Delete a skill version.
delete /skills/{skill_id}/versions/{version}
Delete a skill version.
Path Parameters
-
skill_id: string -
version: stringThe skill version number.
Returns
-
DeletedSkillVersion object { id, deleted, object, version }-
id: string -
deleted: boolean -
object: "skill.version.deleted""skill.version.deleted"
-
version: stringThe deleted skill version.
-
Example
curl https://api.openai.com/v1/skills/$SKILL_ID/versions/$VERSION \
-X DELETE \
-H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
"id": "id",
"deleted": true,
"object": "skill.version.deleted",
"version": "version"
}
Domain Types
Deleted Skill Version
-
DeletedSkillVersion object { id, deleted, object, version }-
id: string -
deleted: boolean -
object: "skill.version.deleted""skill.version.deleted"
-
version: stringThe deleted skill version.
-
Skill Version
-
SkillVersion object { id, created_at, description, 4 more }-
id: stringUnique identifier for the skill version.
-
created_at: numberUnix timestamp (seconds) for when the version was created.
-
description: stringDescription of the skill version.
-
name: stringName of the skill version.
-
object: "skill.version"The object type, which is
skill.version."skill.version"
-
skill_id: stringIdentifier of the skill for this version.
-
version: stringVersion number for this skill.
-
Skill Version List
-
SkillVersionList object { data, first_id, has_more, 2 more }-
data: array of SkillVersionA list of items
-
id: stringUnique identifier for the skill version.
-
created_at: numberUnix timestamp (seconds) for when the version was created.
-
description: stringDescription of the skill version.
-
name: stringName of the skill version.
-
object: "skill.version"The object type, which is
skill.version."skill.version"
-
skill_id: stringIdentifier of the skill for this version.
-
version: stringVersion number for this skill.
-
-
first_id: stringThe ID of the first item in the list.
-
has_more: booleanWhether there are more items available.
-
last_id: stringThe ID of the last item in the list.
-
object: "list"The type of object returned, must be
list."list"
-
Content
Download a skill version zip bundle.
get /skills/{skill_id}/versions/{version}/content
Download a skill version zip bundle.
Path Parameters
-
skill_id: string -
version: stringThe skill version number.
Example
curl https://api.openai.com/v1/skills/$SKILL_ID/versions/$VERSION/content \
-H "Authorization: Bearer $OPENAI_API_KEY"